1. Shipments
Salla Platform Docs
  • Getting Started
  • Migration to the New API
  • Publish App
  • Change Log
  • Shipping Management
    • App Cycle
    • Test App
    • Create App
    • Setup App
  • Order Fulfilment
    • App Cycle
    • Setup App
    • Test App
    • Create App
  • Salla AWB
    • Getting Started
    • Create Shipping App
    • Setup Shipping App
    • App Functions
      • Shipment Creating
      • Shipment Cancelling
    • Generating AWB
      • Shipment AWB
      • Shipment Return AWB
      • Shipment Cancelled AWB
  • APIs
    • Shipments
      • Create Shipment
        POST
      • List Shipments
        GET
      • Update Shipment Details
        PUT
      • Shipment Details
        GET
      • Cancel Shipments
        POST
      • Return Shipments
        POST
      • Shipment Tracking
        GET
    • Shipping Companies
      • List Shipping Companies
        GET
      • Shipping Company Details
        GET
    • Shipping Routes
      • Routes List
        GET
      • Route Details
        GET
      • Create Route
        POST
      • Update Route
        PATCH
      • Default Route
        PATCH
      • Delete Route
        DELETE
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Shipments

Update Shipment Details

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
PUT
https://api.salla.dev/admin/v2
/shipments/{shipment_id}
Last modified:2026-09-20 13:18:52
This endpoint allows you to update specific Shipment Details by providing the ID of the shipment you want to update its details.
Breaking Change Notice
Effective January 20th, 2025, the status variable will be a required field in the request payload.
Maximum characters Notice
Effective May 20th, 2026, each of the tracking_link and pdf_label fields allows a maximum of 300 characters.
Scopes
shipping.read_write- Shipping Read & Write

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Example
{
    "shipment_number": "846984645",
    "order_id": 76587644,
    "tracking_number": "54563653",
    "tracking_link": "https://api.shipengine.com/v1/labels/498498496/track",
    "status": "delivered",
    "status_note": "The shipment has been delivered",
    "pdf_label": "https://api.shipengine.com/v1/downloads/10/F91fByOB-0aJJadf7JLeww/label-63563751.pdf",
    "cost": 40,
    "external_company_name": "Salla Express",
    "policy_options": {
        "boxes": 3,
        "number_of_delivery_attempts": 2,
        "shipment_content_type": "document"
    },
    "driver_info": {
        "name": "test",
        "mobile": "966511111111",
        "reference_number": "11111111111"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.salla.dev/admin/v2/shipments/362985662' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "shipment_number": "846984645",
    "order_id": 76587644,
    "tracking_number": "54563653",
    "tracking_link": "https://api.shipengine.com/v1/labels/498498496/track",
    "status": "delivered",
    "status_note": "The shipment has been delivered",
    "pdf_label": "https://api.shipengine.com/v1/downloads/10/F91fByOB-0aJJadf7JLeww/label-63563751.pdf",
    "cost": 40,
    "external_company_name": "Salla Express",
    "policy_options": {
        "boxes": 3,
        "number_of_delivery_attempts": 2,
        "shipment_content_type": "document"
    },
    "driver_info": {
        "name": "test",
        "mobile": "966511111111",
        "reference_number": "11111111111"
    }
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "status": 200,
    "success": true,
    "data": {
        "id": 362985662,
        "order_id": 560695738,
        "order_reference_id": 48927,
        "reference": {
            "external_id": null,
            "external_additional_id": null
        },
        "created_at": {
            "date": "2023-01-12 14:19:08.000000",
            "timezone_type": 3,
            "timezone": "Asia/Riyadh"
        },
        "type": "shipment",
        "courier": {
            "id": 814202285,
            "name": "DHL",
            "logo": "https://company.com/logo.png"
        },
        "external_company_name": "Salla Express",
        "shipping_number": "0",
        "tracking_number": "0",
        "pickup_id": null,
        "trackable": true,
        "tracking_link": "https://www.company/tracking/tracking-express.html?submit=1&tracking-id=12345",
        "label": [],
        "payment_method": "cod",
        "source": "api",
        "status": {
            "id": 566146469,
            "name": "بإنتظار المراجعة",
            "slug": "under_review"
        },
        "driver_info": {
            "name": "test",
            "mobile": "966511111111",
            "reference_number": "11111111111"
        },
        "total": {
            "amount": 7000,
            "currency": "SAR"
        },
        "cash_on_delivery": {
            "amount": 15,
            "currency": "SAR"
        },
        "billing_account": "salla",
        "description": null,
        "remarks": null,
        "service_types": [],
        "packages": [
            {
                "item_id": 2077288690,
                "external_id": null,
                "name": "Apple Watch",
                "sku": "6ytrrhrhr",
                "price": {
                    "amount": "1000.00",
                    "currency": "SAR"
                },
                "quantity": 2,
                "weight": {
                    "value": "0.10",
                    "unit": "kg"
                }
            },
            {
                "item_id": 2077288690,
                "external_id": null,
                "name": "Apple Iphone 14 Pro Max",
                "sku": "6ytrrhrhr3332",
                "price": {
                    "amount": "5000.00",
                    "currency": "SAR"
                },
                "quantity": 1,
                "weight": {
                    "value": "0.50",
                    "unit": "kg"
                }
            }
        ],
        "ship_from": {
            "type": "branch",
            "branch_id": 1723506348,
            "name": "Riyadh",
            "email": null,
            "phone": "0555555555",
            "country": "السعودية",
            "city": "الرياض",
            "address_line": "7687 طريق الملك فهد الفرعي، الملك فهد، الرياض 12262 3010، السعودية",
            "street_number": "7687 طريق الملك فهد الفرعي",
            "block": "الملك فهد",
            "postal_code": "12262",
            "geo_coordinates": {
                "lat": "24.7431373",
                "lng": "46.6570741"
            }
        },
        "ship_to": {
            "type": "address",
            "name": "Username",
            "email": "[email protected]",
            "phone": "050-948-0868",
            "country": "السعودية",
            "city": "الرياض",
            "address_line": "شارع عبدالله  سنابل السلام  مكة  السعوديه",
            "street_number": "2345",
            "block": "السلام",
            "postal_code": "95128",
            "geo_coordinates": {
                "lat": "21.382590509685",
                "lng": "39.773191030685"
            }
        },
        "meta": {
            "app_id": null,
            "policy_options": {
                "boxes": 2
            }
        }
    }
}
🟠422Validation Error
Modified at 2026-09-20 13:18:52
Previous
List Shipments
Next
Shipment Details